﻿<?xml version="1.0" encoding="UTF-8"?>
<!--For converting a Windows Vista Contact file into Open Contacts XML which may be imported into Open Contacts
Based on VistaToOCXML.xsl, ImportVista.xsl is created for bulk importing contact files of Windows Vista.
ImportVista.xsl is used by Open Contacts directly.
-->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:c="http://schemas.microsoft.com/Contact">
  <xsl:output method="xml" omit-xml-declaration="yes" encoding="UTF-8" />

  <xsl:template match="c:contact">

      <Contato>

          <xsl:attribute name="Nome">
            <xsl:value-of select="c:NameCollection/c:Name/c:FormattedName"/>
          </xsl:attribute>

          <xsl:attribute name="Título">
            <xsl:value-of select="c:NameCollection/c:Name/c:Title"/>
          </xsl:attribute>

          <xsl:attribute name="Sobre">
            <xsl:value-of select="c:NameCollection/c:Name/c:FamilyName"/>
          </xsl:attribute>

          <xsl:attribute name="Nome Próprio">
            <xsl:value-of select="c:NameCollection/c:Name/c:GivenName"/>
          </xsl:attribute>

          <xsl:attribute name="Nome do Meio">
            <xsl:value-of select="c:NameCollection/c:Name/c:MiddleName"/>
          </xsl:attribute>

          <xsl:attribute name="IsCompany">
            <xsl:text>0</xsl:text>
          </xsl:attribute>

          <Notes>
            <xsl:value-of select="c:Notas"/>
          </Notes>

          <Sections>
            <Section Name="Pessoal">
              <Fields>
                <xsl:for-each select="c:EmailAddressCollection/c:EmailAddress">
                  <Field>
                    <xsl:attribute name="Name">
                      <xsl:if test="c:LabelCollection/c:Label='Preferred'">
                        <xsl:text>Email </xsl:text>
                      </xsl:if>
                      <xsl:text>Primário</xsl:text>
                    </xsl:attribute>

                    <xsl:attribute name="Value">
                      <xsl:value-of select="c:Endereço"/>
                    </xsl:attribute>
                  </Field>
                </xsl:for-each>

                <xsl:for-each select="c:PhoneNumberCollection/c:PhoneNumber">

                  <xsl:if test="c:LabelCollection/c:Label='Pager'">
                    <Field>
                      <xsl:attribute name="Name">Pager</xsl:attribute>
                      <xsl:attribute name="Value">
                        <xsl:value-of select="c:Número"/>
                      </xsl:attribute>
                    </Field>
                  </xsl:if>

                  <xsl:if test="c:LabelCollection/c:Label='Celular'">
                    <Field>
                      <xsl:attribute name="Name">Mobile</xsl:attribute>
                      <xsl:attribute name="Value">
                        <xsl:value-of select="c:Número"/>
                      </xsl:attribute>
                    </Field>
                  </xsl:if>

                  <xsl:if test="c:LabelCollection/c:Label='Fax'">
                    <xsl:if test="c:LabelCollection/c:Label='Pessoal'">
                      <Field>
                        <xsl:attribute name="Name">Fax</xsl:attribute>
                        <xsl:attribute name="Value">
                          <xsl:value-of select="c:Número"/>
                        </xsl:attribute>
                      </Field>
                    </xsl:if>
                  </xsl:if>

                  <xsl:if test="c:LabelCollection/c:Label='Voz'">
                    <xsl:if test="c:LabelCollection/c:Label='Pessoal'">
                      <Field>
                        <xsl:attribute name="Name">Telefone</xsl:attribute>
                        <xsl:attribute name="Value">
                          <xsl:value-of select="c:Número"/>
                        </xsl:attribute>
                      </Field>
                    </xsl:if>
                  </xsl:if>

                </xsl:for-each>

                <xsl:for-each select="c:UrlCollection/c:Url">
                  <xsl:if test="c:LabelCollection/c:Label='Pessoal'">
                    <Field>
                      <xsl:attribute name="Name">Web</xsl:attribute>
                      <xsl:attribute name="Value">
                        <xsl:value-of select="c:Value"/>
                      </xsl:attribute>
                    </Field>
                  </xsl:if>
                </xsl:for-each>

                <xsl:for-each select="c:DateCollection/c:Date">
                  <xsl:if test="c:LabelCollection/c:Label='wab:Birthday'">
                    <Field>
                      <xsl:attribute name="Name">Data de Nascimento</xsl:attribute>
                      <xsl:attribute name="Value">
                        <xsl:value-of select="substring(c:Value, 1, 10)"/>
                      </xsl:attribute>
                    </Field>
                  </xsl:if>

                  <xsl:if test="c:LabelCollection/c:Label='wab:Anniversary'">
                    <Field>
                      <xsl:attribute name="Name">Aniversário</xsl:attribute>
                      <xsl:attribute name="Value">
                        <xsl:value-of select="substring(c:Value, 1, 10)"/>
                      </xsl:attribute>
                    </Field>
                  </xsl:if>
                </xsl:for-each>

                <xsl:for-each select="c:PersonCollection/c:Pessoa">
                  <xsl:if test="c:LabelCollection/c:Label='wab:Cônjuge'">
                    <Field>
                      <xsl:attribute name="Name">Cônjuge</xsl:attribute>
                      <xsl:attribute name="Value">
                        <xsl:value-of select="c:FormattedName"/>
                      </xsl:attribute>
                    </Field>
                  </xsl:if>

                </xsl:for-each>

                <xsl:for-each select="c:PhysicalAddressCollection/c:PhysicalAddress">
                  <xsl:if test="c:LabelCollection/c:Label='Pessoal'">

                    <Field>
                      <xsl:attribute name="Name">Rua</xsl:attribute>
                      <xsl:attribute name="Value">
                        <xsl:value-of select="c:Rua"/>
                      </xsl:attribute>
                    </Field>

                    <Field>
                      <xsl:attribute name="Name">City</xsl:attribute>
                      <xsl:attribute name="Value">
                        <xsl:value-of select="c:Localidade"/>
                      </xsl:attribute>
                    </Field>

                    <Field>
                      <xsl:attribute name="Name">State</xsl:attribute>
                      <xsl:attribute name="Value">
                        <xsl:value-of select="c:Região"/>
                      </xsl:attribute>
                    </Field>

                    <Field>
                      <xsl:attribute name="Name">Postcode</xsl:attribute>
                      <xsl:attribute name="Value">
                        <xsl:value-of select="c:CEP"/>
                      </xsl:attribute>
                    </Field>

                    <Field>
                      <xsl:attribute name="Name">Country</xsl:attribute>
                      <xsl:attribute name="Value">
                        <xsl:value-of select="c:País"/>
                      </xsl:attribute>
                    </Field>

                  </xsl:if>
                </xsl:for-each>

              </Fields>
            </Section>

            <Section Name="Profissional">
              <Fields>

                <xsl:for-each select="c:PositionCollection/c:Posição">
                  <Field>
                    <xsl:attribute name="Name">Office</xsl:attribute>
                    <xsl:attribute name="Value">
                      <xsl:value-of select="c:Escritório"/>
                    </xsl:attribute>
                  </Field>

                  <Field>
                    <xsl:attribute name="Name">Departamento</xsl:attribute>
                    <xsl:attribute name="Value">
                      <xsl:value-of select="c:Departamento"/>
                    </xsl:attribute>
                  </Field>

                  <Field>
                    <xsl:attribute name="Name">Título/xsl:attribute>
                    <xsl:attribute name="Value">
                      <xsl:value-of select="c:JobTitle"/>
                    </xsl:attribute>
                  </Field>

                  <Field>
                    <xsl:attribute name="Name">Empresa</xsl:attribute>
                    <xsl:attribute name="Value">
                      <xsl:value-of select="c:Company"/>
                    </xsl:attribute>
                  </Field>

                </xsl:for-each>

                <xsl:for-each select="c:PhoneNumberCollection/c:PhoneNumber">

                  <xsl:if test="c:LabelCollection/c:Label='Fax'">
                    <xsl:if test="c:LabelCollection/c:Label='Business'">
                      <Field>
                        <xsl:attribute name="Name">Fax</xsl:attribute>
                        <xsl:attribute name="Value">
                          <xsl:value-of select="c:Number"/>
                        </xsl:attribute>
                      </Field>
                    </xsl:if>
                  </xsl:if>

                  <xsl:if test="c:LabelCollection/c:Label='Voice'">
                    <xsl:if test="c:LabelCollection/c:Label='Business'">
                      <Field>
                        <xsl:attribute name="Name">Telefone</xsl:attribute>
                        <xsl:attribute name="Value">
                          <xsl:value-of select="c:Number"/>
                        </xsl:attribute>
                      </Field>
                    </xsl:if>
                  </xsl:if>

                </xsl:for-each>

                <xsl:for-each select="c:PhysicalAddressCollection/c:PhysicalAddress">
                  <xsl:if test="c:LabelCollection/c:Label='Business'">

                    <Field>
                      <xsl:attribute name="Name">Rua</xsl:attribute>
                      <xsl:attribute name="Value">
                        <xsl:value-of select="c:Street"/>
                      </xsl:attribute>
                    </Field>

                    <Field>
                      <xsl:attribute name="Name">Cidade</xsl:attribute>
                      <xsl:attribute name="Value">
                        <xsl:value-of select="c:Locality"/>
                      </xsl:attribute>
                    </Field>

                    <Field>
                      <xsl:attribute name="Name">Estado</xsl:attribute>
                      <xsl:attribute name="Value">
                        <xsl:value-of select="c:Region"/>
                      </xsl:attribute>
                    </Field>

                    <Field>
                      <xsl:attribute name="Name">CEP</xsl:attribute>
                      <xsl:attribute name="Value">
                        <xsl:value-of select="c:PostalCode"/>
                      </xsl:attribute>
                    </Field>

                    <Field>
                      <xsl:attribute name="Name">País</xsl:attribute>
                      <xsl:attribute name="Value">
                        <xsl:value-of select="c:Country"/>
                      </xsl:attribute>
                    </Field>

                  </xsl:if>
                </xsl:for-each>

                <xsl:for-each select="c:UrlCollection/c:Url">
                  <xsl:if test="c:LabelCollection/c:Label='Business'">

                    <Field>
                      <xsl:attribute name="Name">Web</xsl:attribute>
                      <xsl:attribute name="Value">
                        <xsl:value-of select="c:Value"/>
                      </xsl:attribute>
                    </Field>

                  </xsl:if>
                </xsl:for-each>

              </Fields>
            </Section>

          </Sections>
        </Contact>

  </xsl:template>

</xsl:stylesheet>